#include "ros_bridge/include/ROSBridge.h"

ROSBridge::ROSBridge::ROSBridge() :
    _casePacker(&_typeFactory, &_jsonFactory)
  , _rbc("localhost:9090")
  , _topicPublisher(&_casePacker, &_rbc)
  , _receiver(&_casePacker, &_rbc, &_typeFactory)
{

}

void ROSBridge::ROSBridge::start()
{
    _topicPublisher.start();
}

void ROSBridge::ROSBridge::stop()
{
    _topicPublisher.stop();
}

bool ROSBridge::ROSBridge::messagesAvailable()
{
    return _receiver.messagesAvailable();
}

bool ROSBridge::ROSBridge::showMessageTag(ROSBridge::ROSBridge::Tag &tag)
{
    return _receiver.showMessageTag(tag);
}

